#ifndef __frontend__
#define __frontend__

#include <wx/wx.h>
#include <wx/socket.h>
#include <wx/sckstrm.h>
#include <wx/txtstrm.h>
#include <wx/arrstr.h>
#include <wx/tokenzr.h>

#include "wxFrontend.h"

class frontend : public wxFrontend
{
	
	public:
		frontend();
		virtual ~frontend();

	private:
		bool is_connected;
		wxSocketClient *SockClt;
		wxIPV4address Host;
		wxSocketInputStream *SocketInStream;
		wxTextInputStream *TextInStream;
		wxSocketOutputStream *SocketOutStream;
		wxTextOutputStream *TextOutStream;
	
	protected:
		void OnSocketEvent( wxSocketEvent& event );
		void OnSocketLost( wxSocketEvent& event );
		void OnSocketConnection( wxSocketEvent& event );
		void OnSocketInput( wxSocketEvent& event );
		void OnZVEI( wxArrayString *DataFromSocket );
		void OnFMS( wxArrayString *DataFromSocket );
		void OnPOCSAG( wxArrayString *DataFromSocket );
		void OnFailure( wxArrayString *DataFromSocket );
		void OnInquiryBtn( wxCommandEvent& event );
		void OnLogoffBtn( wxCommandEvent& event );
		void OnKeepaliveBtn( wxCommandEvent& event );
		void OnChannelInfoBtn( wxCommandEvent& event );
		void OnLoginBtn( wxCommandEvent& event );

};

#endif //__frontend__
